# Two Sum

> Given an array of integers `nums` and an integer `target`, return indices of
> two numbers such that they add up to `target`. You cannot use the same index
> twice. Only one valid answer exists.

## Example 1:

- Input: nums = [2,7,11,15], target = 9
- Output: [0,1]
- Explanation: Because nums[0] + nums[1] == 9, we return [0, 1].

## Example 2:

- Input: nums = [3,2,4], target = 6
- Output: [1,2]

## Example 3:

- Input: nums = [3,3], target = 6
- Output: [0,1]
